# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/1058477c-a10c-48d4-7159-96bb59af38ac/volume/aggregateR/r-rgdal-feedstock/recipe, last modified Thu Dec  5 13:08:52 2019
# ------------------------------------------------

package:
    name: r-rgdal
    version: '1.4_4'
source:
    sha256: 2532e76e0af27d145f799d70006a5dbecb2d3be698e3d0bbf580f4c41a34c5d7
    url:
        - https://cran.r-project.org/src/contrib/Archive/rgdal/rgdal_1.4-4.tar.gz
        - https://cran.r-project.org/src/contrib/rgdal_1.4-4.tar.gz
build:
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r36h466af19_0
requirements:
    build:
        - autoconf 2.69 pl526he370928_5
        - automake 1.16.1 pl526_0
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_18
        - clangxx 4.0.1 1
        - clangxx_osx-64 4.0.1 h22b1bf0_18
        - compiler-rt 4.0.1 hcfea43d_1
        - ld64 274.2 1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libiconv 1.15 hdd342a3_7
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
        - m4 1.4.18 h1de35cc_1
        - make 4.2.1 h3efe00b_1
        - perl 5.26.2 h4e221da_0
        - pkg-config 0.29.2 h3efe00b_8
    host:
        - _r-mutex 1.0.0 anacondar_1
        - blas 1.0 mkl
        - bwidget 1.9.11 1
        - bzip2 1.0.8 h1de35cc_0
        - ca-certificates 2019.11.27 0
        - cairo 1.14.12 hc4e6be7_4
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_18
        - clangxx 4.0.1 1
        - clangxx_osx-64 4.0.1 h22b1bf0_18
        - compiler-rt 4.0.1 hcfea43d_1
        - curl 7.67.0 ha441bb4_0
        - expat 2.2.6 h0a44026_0
        - fontconfig 2.13.0 h5d5b041_1
        - freetype 2.9.1 hb4e5f40_0
        - freexl 1.0.5 h1de35cc_0
        - fribidi 1.0.5 h1de35cc_0
        - gdal 2.3.3 py38hbe65578_0
        - geos 3.7.1 h0a44026_0
        - gettext 0.19.8.1 h15daf44_3
        - gfortran_osx-64 4.8.5 h22b1bf0_8
        - giflib 5.1.4 h1de35cc_1
        - glib 2.63.1 hd977a24_0
        - graphite2 1.3.13 h2098e52_0
        - gsl 2.4 h1de35cc_4
        - harfbuzz 1.8.8 hb8d4a28_0
        - hdf4 4.2.13 h39711bb_2
        - hdf5 1.10.4 hfa1e0ec_0
        - icu 58.2 h4b95b61_1
        - intel-openmp 2019.4 233
        - jpeg 9b he5867d9_2
        - json-c 0.13.1 h3efe00b_0
        - kealib 1.4.7 hf5ed860_6
        - krb5 1.16.1 hddcf347_7
        - ld64 274.2 1
        - libboost 1.67.0 hebc422b_4
        - libcurl 7.67.0 h051b688_0
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libdap4 3.19.1 h3d3e54a_0
        - libedit 3.1.20181209 hb402a30_0
        - libffi 3.2.1 h475c297_4
        - libgdal 2.3.3 h0950a36_0
        - libgfortran 3.0.1 h93005f0_2
        - libiconv 1.15 hdd342a3_7
        - libkml 1.3.0 hbe12b63_4
        - libnetcdf 4.6.1 hd5207e6_2
        - libpng 1.6.37 ha441bb4_0
        - libpq 11.2 h051b688_0
        - libspatialite 4.3.0a h644ec7d_19
        - libssh2 1.8.2 ha12b0ac_0
        - libtiff 4.1.0 hcb84e12_0
        - libxml2 2.9.9 hf6e021a_1
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
        - llvm-openmp 4.0.1 hcfea43d_1
        - make 4.2.1 h3efe00b_1
        - mkl 2019.4 233
        - mkl-service 2.3.0 py38hfbe908c_0
        - mkl_fft 1.0.15 py38h5e564d8_0
        - mkl_random 1.1.0 py38h6440ff4_0
        - ncurses 6.1 h0a44026_1
        - numpy 1.17.4 py38h890c691_0
        - numpy-base 1.17.4 py38h6575580_0
        - openjpeg 2.3.0 hb95cd4c_1
        - openssl 1.1.1d h1de35cc_3
        - pango 1.42.4 h060686c_0
        - pcre 8.43 h0a44026_0
        - pixman 0.38.0 h1de35cc_0
        - poppler 0.65.0 ha097c24_1
        - poppler-data 0.4.9 0
        - proj4 5.2.0 h0a44026_1
        - python 3.8.0 h359304d_2
        - r-base 3.6.1 hcb44179_0
        - r-lattice 0.20_38 r36h46e59ec_0
        - r-sp 1.3_1 r36h46e59ec_0
        - readline 7.0 h1de35cc_5
        - six 1.13.0 py38_0
        - sqlite 3.30.1 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - tktable 2.10 h1de35cc_0
        - xerces-c 3.2.2 h44e365a_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
        - zstd 1.3.7 h5bba6e5_0
    run:
        - gdal >=1.11.4
        - libcxx >=4.0.1
        - libgdal >=2.3.3,<2.4.0a0
        - proj4 >=5.2.0,<5.2.1.0a0
        - r-base >=3.6,<3.7.0a0
        - r-sp >=1.1_0
test:
    commands:
        - $R -e "library('rgdal')"
about:
    home: http://rgdal.r-forge.r-project.org, https://www.gdal.org, https://proj4.org,
        https://r-forge.r-project.org/projects/rgdal/
    license: GPL-2
    license_family: GPL2
    license_file:
        - /opt/concourse/worker/volumes/live/1058477c-a10c-48d4-7159-96bb59af38ac/volume/r-rgdal_1575573791285/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/lib/R/share/licenses/GPL-2
    summary: 'Provides bindings to the ''Geospatial'' Data Abstraction Library (''GDAL'')
        (>= 1.11.4) and access to projection/transformation operations from the ''PROJ.4''
        library. The ''GDAL'' and ''PROJ.4'' libraries are external to the package,
        and, when installing the package from source, must be correctly installed
        first. From ''rgdal'' 1.4.1, provision is made for ''PROJ6'' accommodation,
        with ''PROJ6'' functionality to follow; from 1.4.1 ''rgdal'' will build and
        function when ''PROJ'' >= 6. Both ''GDAL'' raster and ''OGR'' vector map data
        can be imported into R, and ''GDAL'' raster data and ''OGR'' vector data exported.
        Use is made of classes defined in the ''sp'' package. Windows and Mac Intel
        OS X binaries (including ''GDAL'', ''PROJ.4'' and ''Expat'') are provided
        on ''CRAN''. '
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - katietz
